from django.urls import path
from .views import (
    home, 
    log_attendance, 
    work_log_list,
    export_work_log_csv, 
    manage_resources, 
    toggle_resource_status,
    payroll_dashboard,
    process_payment,
    payslip_detail,
    loan_list,
    add_loan,
    add_adjustment
)

urlpatterns = [
    path("", home, name="home"),
    path("log-attendance/", log_attendance, name="log_attendance"),
    path("work-logs/", work_log_list, name="work_log_list"),
    path("work-logs/export/", export_work_log_csv, name="export_work_log_csv"),
    path("manage-resources/", manage_resources, name="manage_resources"),
    path("manage-resources/toggle/<str:model_type>/<int:pk>/", toggle_resource_status, name="toggle_resource_status"),
    path("payroll/", payroll_dashboard, name="payroll_dashboard"),
    path("payroll/pay/<int:worker_id>/", process_payment, name="process_payment"),
    path("payroll/payslip/<int:pk>/", payslip_detail, name="payslip_detail"),
    path("loans/", loan_list, name="loan_list"),
    path("loans/add/", add_loan, name="add_loan"),
    path("payroll/adjustment/add/", add_adjustment, name="add_adjustment"),
]
